<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require("../../conexion/conectar.php");
require("../../MandaCorreos/FuncionSendMail.php");
require("../../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();

$rfc = trim($_POST['rfc']);
$correo = trim($_POST['correo']);

$rExiste = mysqli_query($conexion->CONEXION,"select * from usuariosweb where rfc_cliente='$rfc' LIMIT 1");
$pass = generaPASS(8);

if(mysqli_num_rows($rExiste) != 1){
		mysqli_free_result($rExiste);
			$rNombre = mysqli_query($conexion->CONEXION,"select nombreemi from recibedoce where rfcemisor='$rfc' LIMIT 1");
			
			if(mysqli_num_rows($rNombre) > 0){
				$tmpNombre = mysqli_fetch_array($rNombre,MYSQLI_ASSOC);
			}
			
			if(trim($correo) == ""){
				$correo="-";
			}
			
				$qIC="insert into clienteweb set rfc_cliente='$rfc', nombre_cliente='".$tmpNombre['nombreemi']."', esProv='SI',esCliente='NO',taxId='-'  ON DUPLICATE KEY UPDATE esProv=esProv,nombre_cliente='".$tmpNombre['nombreemi']."'";
			if(mysqli_query($conexion->CONEXION,$qIC)){
				$qI="insert into usuariosweb set username='$rfc',pass=md5('$pass'),nombre='".$tmpNombre['nombreemi']."',rfc_cliente='$rfc', 
				ref_rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."',puesto='-',esAdmin='NO',fechacreacion=now(),fechaacceso='0000-00-00 00:00:00',
				todorfc='NO',esprov='SI',escliente='NO',taxid='-',email='$correo',activado=2,telefono='-',contactoC='-',contactoP='-',cambia_status_check='0',agrega_pago_check='0'";
				
				if(mysqli_query($conexion->CONEXION,$qI)){
					if($correo != "-"){
						
						$RFCS = getINI("RFCS=","../../config.ini");
						$RFCS_LIGAS = getINI("RFCS_LIGAS=","../../config.ini");
						$URL_PORTAL = getINI("URL_PORTAL=","../../config.ini");
						
						$arrRFCS=explode(",",$RFCS);
						$arrRFCS_L=explode(",",$RFCS_LIGAS);
						
						for($i=0;$i<count($arrRFCS); $i++){
							if(trim($_SESSION['RFC_RECEPTOR_PORTAL']) == $arrRFCS[$i]){
								$liga=$arrRFCS_L[$i];
								break;
							}
						}
						
						$arrLabels=array("<<EMPRESA>>","<<CORREO>>","<<USERNAME>>","<<PASS>>","<<LIGA>>");
						$arrVals=array($tmpNombre['nombreemi'],$correo,$rfc,$pass,$URL_PORTAL.$liga);
						
						$asunto = getINI("ASUNTO_USER_GEN=","../../config.ini");
						$cuerpo = file_get_contents(getINI("CUERPO_USER_GEN=","../../config.ini"));
						
						for($i=0; $i < count($arrLabels); $i++){
							$asunto = str_replace($arrLabels[$i],$arrVals[$i],$asunto);
							$cuerpo = str_replace($arrLabels[$i],$arrVals[$i],$cuerpo);
						}
						
						SendMail($correo,$correo,$asunto,$cuerpo,'','','');
					}else{
					
					?><script>$j_6.messager.alert("Informacion","Indiquele el acceso al usuario:<br/><br/><br/><strong>Usuario:</strong> <?=$rfc?><br/><strong>Password:</strong> <?=$pass?>","info");</script><?
					}
					
					?><script>document.getElementById('add_user_<?=$rfc?>').src="Imagenes/vobo.png";</script><?
				}else{
					
					?><script>alert("No se pudo generar el usuario.\nIntente nuevamente.");document.getElementById('add_user_<?=$rfc?>').src="Imagenes/addUser.png";</script><?
				}	
			}
}else{
	?><script>document.getElementById('add_user_<?=$rfc?>').src="Imagenes/vobo.png";</script><?
}


function generaPASS($length = 8) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}
?>